From 6cdbdc5383299498ad75f6a87a71b00216e7efaa Mon Sep 17 00:00:00 2001
Message-Id: <6cdbdc5383299498ad75f6a87a71b00216e7efaa.1730328037.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Wed, 30 Oct 2024 22:40:12 +0000
Subject: [PATCH] gnu: Add r-shiny-router.

* gnu/packages/cran.scm (r-shiny-router): New variable.

Change-Id: Ie2d89a1cb1cf0e863a7296df3299295474b8aac0
---
 gnu/packages/cran.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 717e4eac89..88c6e7e3d3 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -5935,6 +5935,27 @@ (define-public r-shinymeta
 the end user.")
     (license license:gpl3)))
 
+(define-public r-shiny-router
+  (package
+    (name "r-shiny-router")
+    (version "0.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "shiny.router" version))
+       (sha256
+        (base32 "1zg8cdxmw620i1iv7jrghd768gw7iv52hi6lx79xvnfjz8w4si3x"))))
+    (properties `((upstream-name . "shiny.router")))
+    (build-system r-build-system)
+    (propagated-inputs (list r-glue r-htmltools r-rlang r-shiny))
+    (home-page "https://appsilon.github.io/shiny.router/")
+    (synopsis "Basic Routing for Shiny Web Applications")
+    (description
+     "This package provides a simple router for your Shiny apps.  The router
+allows you to create dynamic web applications with a real-time User Interface
+and easily share url to pages within your Shiny apps.")
+    (license license:expat)))
+
 ;; This package includes minified JavaScript files.  When upgrading please
 ;; check that there are no new minified JavaScript files.
 (define-public r-shinytree

base-commit: 39fc289fd66eb348062b05d9ab6acad817f386f6
-- 
2.34.1

